Class | EimXML::Comment
In: | lib/eim_xml.rb
Parent: | Object

### Methods

new write_to

### Public Class methods

new(text)

[Source]

        # File lib/eim_xml.rb, line 50
    50:                 def initialize(text)
    51:                         raise ArgumentError, "Can not include '--'" if text =~ /--/
    52:                         @text = text
    53:                 end

### Public Instance methods

write_to(out="")

[Source]

        # File lib/eim_xml.rb, line 55
    55:                 def write_to(out="")
    56:                         out << "<!-- #{@text} -->"
    57:                 end

[Validate]